Get all fact-find templates Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v2/fact-find/templates

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[name] string

    Filter by a given name. Partial filter.

  • filter[is_published] boolean

    Filter by published status.

  • filter[created_after] string

    Filter templates created on or after this date (Y-m-d).

  • filter[created_before] string

    Filter templates created on or before this date (Y-m-d).

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name, active_sessions_count]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • description string
      • opening_statement string
      • closing_statement string
      • is_published boolean
      • is_locked boolean
      • active_session_count integer
      • sections object
        Hide sections attributes Show sections attributes object
        • uuid string
        • created_at string
        • updated_at string
        • fact_find_template object
          Hide fact_find_template attributes Show fact_find_template attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the fact-find template.

          • description

            A brief description of the template.

          • opening_statement

            An opening statement shown at the start of the fact-find.

          • closing_statement

            A closing statement shown at the end of the fact-find.

          • is_published

            Whether the fact-find template is published and available for use.

          • is_locked

            Whether the template is locked from edits because at least one client has an in-flight session against it. Clone the template to make changes.

          • active_session_count

            Number of in-flight client sessions blocking edits to this template.

        • name string
        • introduction_html string
        • position integer
        • is_complete boolean
        • blocks object
          Hide blocks attributes Show blocks attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the fact find block.

          • introduction_html

            HTML introduction shown at the start of this block.

          • position

            The position/order of this block within the section.

GET /api/v2/fact-find/templates
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/fact-find/templates' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "72d5dd34-1826-48c4-837b-a6f685c68d40",
      "created_at": "2026-07-22T14:08:42+01:00",
      "updated_at": "2026-07-22T14:08:42+01:00",
      "name": "My Fact-Find Template",
      "description": "A comprehensive fact-find template for new clients.",
      "opening_statement": "Welcome to our fact-find process...",
      "closing_statement": "Thank you for completing the fact find",
      "is_published": true,
      "is_locked": false,
      "active_session_count": 0,
      "sections": {
        "uuid": "2df94733-544b-4023-b5b2-ca24d60f6b88",
        "created_at": "2026-07-22T14:08:42+01:00",
        "updated_at": "2026-07-22T14:08:42+01:00",
        "fact_find_template": {
          "uuid": "7953dcb2-6ada-44ed-8e41-2da7af78757e",
          "created_at": "2026-07-22T14:08:48+01:00",
          "updated_at": "2026-07-22T14:08:48+01:00",
          "name": "My Fact-Find Template",
          "description": "A comprehensive fact-find template for new clients.",
          "opening_statement": "Welcome to our fact-find process...",
          "closing_statement": "Thank you for completing the fact find",
          "is_published": true,
          "is_locked": false,
          "active_session_count": 0
        },
        "name": "Personal Details",
        "introduction_html": "<p>Please provide your personal details below.</p>",
        "position": 1,
        "is_complete": false,
        "blocks": {
          "uuid": "76ac1b82-b57f-462a-9da1-a8ab2f9ec675",
          "created_at": "2026-07-22T14:08:48+01:00",
          "updated_at": "2026-07-22T14:08:48+01:00",
          "name": "Income Details",
          "introduction_html": "<p>Please provide your income details below.</p>",
          "position": 1
        }
      }
    }
  ]
}